# Copyright 2018,2020 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

PYTHON_COMPAT=( python3_5 python3_6 python3_7 )

inherit python-r1

SHA1=da6411506b92113a517d1a2bc80027c2dfb92cb4

DESCRIPTION="Simple tool which adds ReplayGain tags to your files"
HOMEPAGE="https://github.com/kepstin/regainer"
SRC_URI="https://github.com/kepstin/$PN/archive/$SHA1.tar.gz -> $P.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
REQUIRED_USE="$PYTHON_REQUIRED_USE"

S=$WORKDIR/$PN-$SHA1

RDEPEND="$PYTHON_DEPS
	media-libs/mutagen[$PYTHON_USEDEP]
	media-video/ffmpeg[encode]"
DEPEND="$PYTHON_DEPS"

src_install () {
	default

	python_foreach_impl python_newscript regainer.py regainer
}
